function createApp(canvas) {
  fetchShadersAndStart();
}

async function loadCiren(shaders) {

  const ciren = Ciren.create(canvas, shaders);
  // README!!
  // Dear Chromium devs, if you load all textures in one go it works fine
  // await ciren.loadImages(['img/man.png', 'img/mobilephone1.png']);
  // but loading a texture
  await ciren.loadImages(['img/man.png']);
  // then loading another causes bad hombres
  await ciren.loadImages(['img/mobilephone1.png']);
  
  
  const mainLayer = ciren.createLayer('main', {useView:false});
  mainLayer.drawText('t1', 'Hello World', 100, 100, 'silver',[1,1,1,1], 24, 0);
  mainLayer.drawText('t2', '3456435634563456', 300, 200, 'silver',[1,1,1,1], 24, 0);
  mainLayer.drawText('t3', 'Hasdasdasfasf', 200, 300, 'silver',[1,1,1,1], 24, 0);

  function draw() {
    ciren.clear();
    ciren.render();
    requestAnimationFrame(function () {
      draw();
    });
  }

  requestAnimationFrame(function () {
    draw();
  });
}

async function fetchShadersAndStart(shaders) {
  let fetchVertexShader = await fetch('ciren/shaders/ciren-vertex.glsl');
  let fetchFragmentShader = await fetch('ciren/shaders/ciren-fragment.glsl');
  var shaders = {'ciren-vertex': await fetchVertexShader.text(), 'ciren-fragment': await fetchFragmentShader.text()};
  loadCiren(shaders);
};